<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
        <title>CMS {% block title %}{% endblock %}</title>
        {% block stylesheets %}
            {% stylesheets '@AppBundle/Resources/public/css/*' filter='cssrewrite' %}
                <link rel="stylesheet" href="{{ asset_url }}" />
            {% endstylesheets %}
        {% endblock %}
        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}" />
    </head>
    <body>
        <div class="navbar navbar-inverse">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-2">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="{{ path('homepage') }}">Home</a>
                </div>

                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-2">
                    {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                        <ul class="nav navbar-nav">
                            <li><a href="{{ path('cars') }}">Samochody</a></li>
                            <li><a href="{{ path('add_car') }}">Dodaj Samochod</a></li>
                            {% block menu %}
                            {% endblock %}
                        </ul>
                        <ul class="nav navbar-nav navbar-left">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Mechanicy<span class="caret"></span></a>
                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="{{ path('all_mechanic') }}">Mechanicy</a></li>
                                    <li><a href="{{ path('create_mechanic') }}">Dodaj Mechanika</a></li>
                                </ul>
                            </li>
                        </ul>
                        <form class="navbar-form navbar-left" role="search" action="{{ path('search') }}">
                            <div class="form-group">
                                <input type="text" class="form-control" placeholder="Szukaj" name="searchKey" value="{% block search_value %}{% endblock %}">
                            </div>
                            <button type="submit" class="btn btn-default">Szukaj</button>
                        </form>
                    {% endif %}
                    <ul class="nav navbar-nav navbar-right">
                        {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                        {% if is_granted("ROLE_ADMIN") %}
                            <li><a href="{{ path('stat_mechanic') }}">Statystyki</a></li>
                            <li><a href="{{ path('dump_db') }}">Kopia DB</a></li>
                        {% endif %}
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Użytkownicy<span class="caret"></span></a>
                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="{{ path('fos_user_profile_edit') }}">Edytuj moje konto</a></li>
                                    <li><a href="{{ path('fos_user_profile_show') }}">Pokaż mnie</a></li>
                                    <li><a href="{{ path('fos_user_change_password') }}">Zmiana hasła</a></li>
                                    <li><a href="{{ path('all_users') }}">Lista użytkowników</a></li>
                                    <li><a href="{{ path('fos_user_registration_register') }}">Dodaj użytkownika</a></li>
                                    {% if is_granted("ROLE_ADMIN") %}
                                    {#<li class="divider"></li>#}
                                    {#<li><a href="{{ path('fos_user_registration_register') }}">Nowe konto</a></li>#}
                                    {% endif %}
                                </ul>
                            </li>
                        {% endif %}
                        <li>
                            {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                                <a href="{{ path('fos_user_security_logout') }}">{{ app.user.username|capitalize }} | Wyloguj</a>
                            {% else %}
                                <a href="{{ path('fos_user_security_login') }}">Zaloguj</a>
                            {% endif %}
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div id="container" spellcheck="true">
            {% block body %}{% endblock %}
        </div>
        {% block javascripts %}
            {% javascripts '@AppBundle/Resources/public/js/*' output='js/compiled/main.js' %}
                <script src="{{ asset_url }}"></script>
            {% endjavascripts %}
        {% endblock %}
    </body>
</html>
